package commons.pfc;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.BitmapFactory.Options;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.os.Environment;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;

public class imagen_camara extends AndromediacommonsActivity{
	
	ImageView imgPhoto;
	private String path_aux;
	@Override
    public void onCreate(Bundle savedInstanceState) 
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_imagen_camara);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
        Inicializar();
	}
	
	public void Click_Siguiente(View botton)
    {
    	Intent intent = new Intent();
    	Reset_ImageView();
    	intent.setComponent(new ComponentName(this, metodo_subida.class));
		startActivity(intent);

    }
    
    private void Reset_ImageView()
    {
    	if (imgPhoto != null) 
    	{
        	imgPhoto.destroyDrawingCache();
        	imgPhoto.setImageBitmap(null);
        	imgPhoto = null;
            System.gc();
            datos.aux.recycle();
            datos.aux = null;
        }
    }
    
    private void Inicializar() 
	 {		 
		 imgPhoto = (ImageView) findViewById(R.id.img_camara);
	       
	     FileOutputStream out;
	       
	       try 
	       {
	    	   path_aux = datos.copyFile(datos.path, Environment.getExternalStorageDirectory().toString());
	    	   
	    	   try {
	  			 if(datos.aux != null)
	  				datos.aux.recycle();
	  			datos.aux = null;
	  		         
	  			datos.aux = BitmapFactory.decodeFile(path_aux);
	  			 
	  			} catch (OutOfMemoryError e) {
	  			  try {
	  			    Options options = new BitmapFactory.Options();
	  			    options.inSampleSize = 2;
	  			  datos.aux = BitmapFactory.decodeFile(path_aux, options);
	  			   
	  			  } catch(Exception ex) {
	  			    Log.e(datos.path, datos.path, e);
	  			  }
	  			}
	    	   //datos.aux = BitmapFactory.decodeFile(path_aux);
	    	   out = new FileOutputStream(path_aux);
	    	   datos.aux.compress(CompressFormat.JPEG, 60, out);
	    	   imgPhoto.setImageBitmap(datos.aux);
	       }
	       catch (FileNotFoundException e) 
	       {
	    	  Intent intent = new Intent();
	     	  datos.rafaga = false;
	     	  datos.ReiniciarDatos();
	     	  monumentsDB.bd = false;
	     	  intent.setComponent(new ComponentName(this, modo_captura.class));
	     	  startActivity(intent);
	    	   
	       } catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	 }
}
