package commons.pfc;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.provider.MediaStore;
import android.provider.MediaStore.MediaColumns;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class seleccion_monumento extends AndromediacommonsActivity{
	
	//Array que contiene el nombre de las listas de los monumentos
	//public ArrayList nombre_lista_monumentos = new ArrayList<String>();

	ListView lv;
	final Intent intent = new Intent();
	String nom_monumento;
	private String name = "";
	//datos_imagen_wiki_love datos_monumento = null;

	
	@Override
    public void onCreate(Bundle savedInstanceState) 
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_seleccion_lista_monumentos);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
		intent.setComponent(new ComponentName(this, tomar_foto.class));
		
		inicializar();
	}

	private void inicializar()
	{
		StringBuilder aux = new StringBuilder();
		for(int i = 0; i < lista_imagenes.size(); ++i)
		{
			aux.append(lista_imagenes.get(i).nom_monumento + '\n'+ "Distancia: "+ Truncar_Decimales( lista_imagenes.get(i).distancia) + " m." +"XXX");
		}
		String x = aux.toString();
		String[] monumentos = x.split("XXX"); 
		
		
		//Evaluo si existen monumento en dicha distancia
		if(monumentos[0]=="")
			monumentos[0] = "No existen monumentos" + '\n' + "Pruebe con otra distancia";
		ArrayAdapter<String> adaptador = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, monumentos);
		lv = (ListView)findViewById(R.id.lista_listados_imagen);
		lv.setAdapter(adaptador);
		lv.setOnItemClickListener(new OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View v, int posicion, long id)
			{
				nom_monumento = (String) lv.getItemAtPosition(posicion);
				datos_monumento = new datos_imagen_wiki_love();
				datos_monumento = lista_imagenes.get(posicion);
				
				Intent intent =  new Intent(MediaStore.ACTION_IMAGE_CAPTURE); 
       			int code = 1;
       			
       			startActivityForResult(intent, code);	
			}
		});
	}

	private String Truncar_Decimales(String distancia)
	{

		distancia = distancia.replace("\"", "");//Cambio " por espacios y eliminos espacios
		
		distancia = distancia.substring(0, distancia.indexOf("."));
		
		return distancia;
	}
	
   @Override
    public void onBackPressed()
    {
	    datos.wikimonuments = false;
	    datos.distancia_seleccionada = false;
	    usuario.monumentos.clear();
	    lista_imagenes.clear();
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, menu_love_monuments.class));
		startActivity(intent);
    }
   
   @Override 
   protected void onActivityResult(int requestCode, int resultCode, Intent data) 
   {		
	   try
	   {
   			datos.path = name;	
   			Uri uri = data.getData();
   			datos.uri=uri.toString();
   			datos.path = getPath(uri);
   			datos.nom_imagen = datos.Nombre_Imagen(datos.path);
   			
   			intent.setComponent(new ComponentName(this, imagen_camara.class));
   			startActivity(intent);
	   }
	   catch(Exception e){ 
		   onBackPressed();
		   
	   }
   }
   
	@Override
	protected void onSaveInstanceState(Bundle outState) 
	{
     	outState.putString("foto", datos.path);
	}
	
	private String getPath(Uri uri) {
   	 String[] projection = { MediaColumns.DATA };
   	 Cursor cursor = managedQuery(uri, projection, null, null, null);
   	 int column_index = cursor.getColumnIndexOrThrow(MediaColumns.DATA);
   	 cursor.moveToFirst();
   	 return cursor.getString(column_index);
   }  
}

