package commons.pfc;

import commons.pfc.R.string;
import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class menu_informacion extends AndromediacommonsActivity {
	
	ListView lv;
	final Intent intent = new Intent();
	 @Override
	    public void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	        setContentView(commons.pfc.R.layout.layout_menu_informacion);
	        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
	        //"Informacin Legal",
	        String[] nombres = {"Requisitos Aplicacin","Informacin Importante","Advertencias","Datos Desarrollador","WikiLove Monuments"};
	        ArrayAdapter<String> adaptador = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, nombres);
	        lv = (ListView)findViewById(commons.pfc.R.id.lista_informacion);
			lv.setAdapter(adaptador);
			intent.setComponent(new ComponentName(this, mensaje_informacion.class));
			lv.setOnItemClickListener(new OnItemClickListener() {
				@Override
				public void onItemClick(AdapterView<?> parent, View v, int posicion, long id){

					switch(posicion)
					{
						case 0: texto_informativo = getString(string.txt_requititos);
						break;
						
						case 1: texto_informativo = getString(string.txt_info_importante);
						break;
						
						case 2: texto_informativo = getString(string.txt_advertencia);
						break;
						
						case 3: texto_informativo = getString(string.txt_desarrollador);
						break;
						
						case 4: texto_informativo = getString(string.txt_wlm);
					
					}
					startActivity(intent);
				}
			});
	    }
}
