package commons.pfc;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

public class tomar_foto extends Activity
{
    private static final int REQUEST_CAMERA = 1;
	private Button btn_camera;
	protected Uri imageUri;
	private String photoPath="";
	final Intent intent = new Intent(); 

	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) 
    {    	
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_camara);        
        btn_camera=(Button)findViewById(R.id.button1);
        
        btn_camera.setOnClickListener(new OnClickListener() 
        {
			@Override
			public void onClick(View v) 
			{
				String state = Environment.getExternalStorageState();
	            if (Environment.MEDIA_MOUNTED.equals(state)) 
	            {					
	                try
	                {
	                    Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");                 
	                    startActivityForResult(Intent.createChooser(intent, "Capture Image"), REQUEST_CAMERA);
	                } 
	                catch (Exception e) 
	                {
	                    Toast.makeText(getApplicationContext(), "Error", Toast.LENGTH_LONG).show();
	                    Log.e(e.getClass().getName(), e.getMessage(), e);
	                }
	            }
 
			}
		});
    }

    @Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) 
	{
		super.onActivityResult(requestCode, resultCode, data);
		
		intent.putExtra("path", photoPath);
		
		intent.setComponent(new ComponentName(this, imagen_camara.class));
		startActivity(intent);
	}
		
	@Override
	protected void onSaveInstanceState(Bundle outState) 
	{
      	outState.putString("foto", photoPath);
      	
	}
   @Override
    public void onBackPressed()
    {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, tomar_foto.class));
		startActivity(intent);
    }
}